Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class Html3_2DocDesc

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
          edu.harvard.hul.ois.jhove.module.html.Html3_2DocDesc

    public class Html3_2DocDesc

extends HtmlDocDesc

This class describes the requirements of an HTML 3.2 document.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`bodyElement, commonTags, framesetElement, headElement, headings, htmlElement, supportedElements`

Constructor Summary
`Html3_2DocDesc()` Constructor.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`addRequiredAttribute, addSelfAttribute, addSimpleAttribute, addStringsToList, getMetadata, init, pushElementStack, removeStringsFromList, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Html3_2DocDesc

    public Html3_2DocDesc()

  Constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD